# ClpQuadInterface Class Reference

This is to allow the user to replace initialSolve and resolve. More...

`#include <ClpQuadInterface.hpp>`

Inheritance diagram for ClpQuadInterface:
[legend]
Collaboration diagram for ClpQuadInterface:
[legend]

List of all members.

## Public Member Functions
Solve methods
virtual void | initialSolve ()
| Solve initial LP relaxation.
virtual void | resolve ()
| Resolve an LP relaxation after problem modification.
Constructors and destructors
| ClpQuadInterface ()
| Default Constructor.
virtual OsiSolverInterface * | clone (bool CopyData=true) const
| Clone.
| ClpQuadInterface (const ClpQuadInterface &)
| Copy constructor.
ClpQuadInterface & | operator= (const ClpQuadInterface &rhs)
| Assignment operator.
virtual | ~ClpQuadInterface ()
| Destructor.
Sets and Getss
void | initialize ()
| Setup fake objective.
virtual double | getObjValue () const
| Get objective function value (can't use default).
## Private Attributes
Private member data
ClpObjective * | quadraticObjective_
| True quadratic objective.

## Detailed Description

This is to allow the user to replace initialSolve and resolve.

Definition at line 18 of file ClpQuadInterface.hpp.

## Constructor & Destructor Documentation

ClpQuadInterface::ClpQuadInterface | ( |  | ) |

Default Constructor.

ClpQuadInterface::ClpQuadInterface | ( | const ClpQuadInterface & |  | ) |

Copy constructor.

virtual ClpQuadInterface::~ClpQuadInterface | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void ClpQuadInterface::initialSolve | ( |  | ) | `[virtual]`

Solve initial LP relaxation.

Reimplemented from OsiClpSolverInterface.

virtual void ClpQuadInterface::resolve | ( |  | ) | `[virtual]`

Resolve an LP relaxation after problem modification.

Reimplemented from OsiClpSolverInterface.

virtual OsiSolverInterface* ClpQuadInterface::clone | ( | bool | CopyData = `true` | ) | const`[virtual]`

Clone.

Reimplemented from OsiClpSolverInterface.

ClpQuadInterface& ClpQuadInterface::operator= | ( | const ClpQuadInterface & | rhs | ) |

Assignment operator.

Reimplemented from OsiClpSolverInterface.

void ClpQuadInterface::initialize | ( |  | ) |

Setup fake objective.

It could also read an ampl .nl file or somehow get nonlinear info

virtual double ClpQuadInterface::getObjValue | ( |  | ) | const`[virtual]`

Get objective function value (can't use default).

Reimplemented from OsiClpSolverInterface.

## Member Data Documentation

ClpObjective* ClpQuadInterface::quadraticObjective_`[private]`

True quadratic objective.

Definition at line 70 of file ClpQuadInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/examples/ClpQuadInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines